Index: components/browse/css/Browse.css
===================================================================
--- components/browse/css/Browse.css	(revision 9456)
+++ components/browse/css/Browse.css	(working copy)
@@ -1,18 +1,3 @@
-@-webkit-keyframes spinner {
-    from {
-        -webkit-transform: rotate(0deg);
-        -webkit-animation-timing-function:linear;
-    } 
-    to {
-        -webkit-transform: rotate(-360deg);
-        -webkit-animation-timing-function:linear;
-    }
-}
-
-.fl-theme-iphone {
-    background: none;
-}
-
 [class*=fl-container] [class*=fl-list]:not(.fl-thumbnails-expanded) > li a .fl-icon,
 [class*=fl-container] .fl-list-thumbnails:not(.fl-thumbnails-expanded) > li,
 [class*=fl-container] .fl-list-thumbnails:not(.fl-thumbnails-expanded) > li a {
@@ -21,29 +6,3 @@
     border-bottom-right-radius: 0px;
     border-bottom-left-radius:  0px;
 }
-
-.fl-browse-loading .fl-browse-loadMessage {
-    display: block;
-    text-align:center;
-    margin-top:100px;
-}
-
-.fl-browse-spinner {
-    -webkit-animation-name:spinner;
-    -webkit-animation-iteration-count:infinite;
-    -webkit-animation-duration:1s;
-    
-    width:50px;
-    height:50px;
-    margin:10px auto;
-    background-color:#fff;
-    
-    -webkit-mask-box-image: url(../images/spinner_large_mask.png);
-    
-}
-
-.fl-browse-loadMessage,
-.fl-browse-loading  .fl-browse-contents, 
-.fl-browse-loading .fl-browse-descriptionContainer {
-    display: none;
-}
Index: components/browse/html/browse.html
===================================================================
--- components/browse/html/browse.html	(revision 9456)
+++ components/browse/html/browse.html	(working copy)
@@ -34,7 +34,8 @@
         <script type="text/javascript" src="../../../../fluid-engage-core/framework/js/loadData.js"></script>
         
     </head>
-    <body class="flc-browse fl-theme-iphone fl-browse-loading">
+    <body class="flc-browse fl-theme-iphone">
+        <img src="../../../../fluid-engage-core/shared/images/spinner.png" style="display:none;"/>
         <!-- Navigation Bar and Header -->
         <div class="flc-navigationBar fl-navbar fl-col-mixed">
             <!-- Back button -->
@@ -61,9 +62,8 @@
         </div>
         
         <!-- loading message -->
-        <div class="fl-browse-loadMessage fl-note fl-bevel-white">
-            Loading...
-            <div class="fl-browse-spinner"></div>
+        <div class="fl-component-loadMessage">
+            <div class="fl-component-spinner"></div>
         </div>
         
         <div class="flc-browse-descriptionContainer fl-browse-descriptionContainer">
@@ -71,7 +71,7 @@
                 Description
             </p>
         </div>
-        <div class="flc-browse-contents fl-browse-contents">
+        <div class="flc-browse-contents fl-browse-contents fl-component-contents">
             <div class="flc-cabinet-drawer">
                 <div class="flc-cabinet-handle fl-engage-tappable">
                     <h2 class="flc-cabinet-header">Header</h2>
Index: components/browse/js/Browse.js
===================================================================
--- components/browse/js/Browse.js	(revision 9456)
+++ components/browse/js/Browse.js	(working copy)
@@ -16,24 +16,6 @@
 
 (function ($) {
     
-    /**
-     * Removes the loading style from the component, so that the rendered page is displayed
-     * 
-     * @param {Object} that, the component
-     */
-    var removeLoadStyling = function (that) {
-        that.container.removeClass(that.options.styles.load);
-    };
-    
-    /**
-     * Binds the after render event to a lister that calls the removeLoadStyling function
-     * 
-     * @param {Object} that, the component
-     */
-    var bindEvents = function (that) {
-        that.events.afterRender.addListener(removeLoadStyling);
-    };
-    
     var initSubcomponents = function (that) {
         if (that.options.useCabinet) {
             that.cabinet = fluid.initSubcomponent(that, "cabinet", [that.locate("browseContents"), fluid.COMPONENT_OPTIONS]);
@@ -115,7 +97,6 @@
      * @param {Object} that, the component
      */
     var setup = function (that) {
-        bindEvents(that);
         var messageLocator = fluid.messageLocator(that.options.strings, fluid.stringTemplate);
         var selectorsToIgnore = ["browseDescription", "browseContents"];
         
@@ -201,7 +182,6 @@
         },
         
         styles: {
-            load: "fl-browse-loading",
             browseContents: "fl-browse-contents",
             browseDescription: "fl-browse-description",
             listHeaderDescription: "fl-cabinet-headerWithDescription"
Index: framework/js/iPhoneChromeless.js
===================================================================
--- framework/js/iPhoneChromeless.js	(revision 9456)
+++ framework/js/iPhoneChromeless.js	(working copy)
@@ -16,6 +16,7 @@
 
     $(function () {
         $("a:not([href^=#])").live("click", function (evt) {
+            $("body").addClass("fl-component-loading");
             window.location = $(this).attr("href");
             evt.preventDefault();
         });
Index: shared/css/engage-mobile.css
===================================================================
--- shared/css/engage-mobile.css	(revision 9456)
+++ shared/css/engage-mobile.css	(working copy)
@@ -2,6 +2,42 @@
     background: none;
 }
 
+@-webkit-keyframes spinner {
+    from {
+        -webkit-transform: rotate(0deg);
+        -webkit-animation-timing-function:linear;
+    } 
+    to {
+        -webkit-transform: rotate(-360deg);
+        -webkit-animation-timing-function:linear;
+    }
+}
+
+.fl-component-loading .fl-component-loadMessage {
+    display: block;
+    text-align:center;
+    margin-top:100px;
+}
+
+.fl-component-spinner {
+    -webkit-animation-name:spinner;
+    -webkit-animation-iteration-count:infinite;
+    -webkit-animation-duration:1s;
+    
+    width:50px;
+    height:50px;
+    margin:10px auto;
+    background-color:#000;
+    
+    -webkit-mask-box-image: url(../images/spinner.png);
+    
+}
+
+.fl-component-loadMessage,
+.fl-component-loading  .fl-component-contents {
+    display: none;
+}
+
 .fl-theme-iphone a,
 .fl-theme-iphone input,
 .fl-theme-iphone textarea,
